.single-post-container {
  position: relative;
  width: 100%;
}

.single-post-container .post-thumbnail {
  width: 100%;
  height: 60vh;
  position: relative;
  cursor: pointer;
  overflow: hidden;
}

.single-post-container .post-thumbnail img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.single-post-container .entry-content {
  width: 90%;
  max-width: 1400px;
  margin: 0 auto;
  padding: 25px 0 50px;
  box-sizing: border-box;
}

.single-post-container .entry-title {
  text-align: center;
  font-size: 35px;
  font-weight: 600;
  margin: 30px 0;
  overflow-wrap: break-word;
}

.single-post-container .entry-meta {
  width: 100%;
  text-align: center;
}

.single-post-container .post-date {
  font-size: 16px;
  color: #666;
  text-align: center;
  margin-bottom: 20px;
}

.single-post-container .post-tags {
  width: 90%;
  max-width: 1400px;
  margin: 0 auto;
  padding: 10px 0;
  box-sizing: border-box;
}

.single-post-container .post-navigation {
  width: 90%;
  max-width: 1400px;
  margin: 0 auto 50px;
  padding: 10px 0;
  box-sizing: border-box;
}

.single-post-container .entry-content .videoC {
  text-align: center;
}

.single-post-container .entry-content .videoC video {
  text-align: center;
  margin: auto;
  width: auto;
}

.single-post-container .entry-content img {
  width: 100%;
}

.single-post-container .entry-content h2 {
  margin: 20px 0;
}

.single-post-container .entry-content h3 {
  margin: 20px 0;
}

.single-post-container .entry-content h4 {
  margin: 20px 0;
}

.single-post-container .entry-content h5 {
  margin: 20px 0;
}

.single-post-container .entry-content p {
  margin: 15px 0;
  line-height: 1.5;
}

.single-post-container .entry-content pre {
  background-color: #fafafa;
  margin: 0 0 24px;
  padding: 8px 16px 6px 56px;
  background-color: #f6f8fa;
  border: none;
}

.single-post-container .entry-content ul {
  position: relative;
  left: -14px;
}

.single-post-container .entry-content ul > li {
  line-height: 32px;
  margin: 5px 0px;
  position: relative;
  left: 15px;
}

.single-post-container .entry-content ul > li::before {
  content: '· ';
  /* 在每个 li 元素前添加一个点 */
  color: #000000;
  /* 设置点的颜色 */
  font-size: 1.2em;
  /* 调整点的大小 */
  font-weight: bold;
  /* 加粗点 */
  margin-right: 0.5em;
  /* 点与文本之间的间距 */
}

.single-post-container .entry-content ol {
  counter-reset: item;
  /* 初始化计数器 */
  position: relative;
  padding: 0;
  position: relative;
  left: -14px;
}

.single-post-container .entry-content ol > li {
  line-height: 32px;
  margin: 5px 0px;
  position: relative;
  left: 15px;
  counter-increment: item;
  /* 每个 li 元素递增计数器 */
}

.single-post-container .entry-content ol > li::before {
  content: counters(item, '.') '.';
  /* 使用计数器生成序号 */
  color: #333333;
  /* 设置序号的颜色 */

  margin-right: 0.5em;
  /* 序号与文本之间的间距 */
}

.single-post-container .entry-content a {
  color: #007aff;
  word-break: break-all;
}
